
{{- define "libsmarterapp.daemonset.tpl" -}}
apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: {{ .Release.Name | printf "%s-%s" .Chart.Name }}
  labels:
    k8s-app: {{ .Chart.Name }}
    chart: {{ .Chart.Version | printf "%s-%s" .Chart.Name | replace "+" "_" }}
spec:
  selector:
    matchLabels:
      name: {{ .Chart.Name }}
  template:
    metadata:
      labels:
        name: {{ .Chart.Name }}
    spec:
      nodeSelector:
        {{ .Chart.Name }}: enabled
      tolerations:
        - key: smarter.type
          value: edge
          effect: NoSchedule
      hostname: {{ .Chart.Name }}
      containers:
        - name: {{ .Chart.Name }}
          imagePullPolicy: IfNotPresent
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag | default .Chart.AppVersion }}"
          env:
            - name: MY_NODE_NAME
              valueFrom:
                fieldRef:
                  fieldPath: spec.nodeName
            - name: MQTT_BROKER_HOST
              value: fluent-bit
            - name: LOG_LEVEL
              value: DEBUG
          resources:
            {{- toYaml .Values.resources | nindent 12 }}
      terminationGracePeriodSeconds: 30
{{- end -}}
{{- define "libsmarterapp.daemonset" -}}
{{- include "libsmarterapp.util.merge" (append . "libsmarterapp.daemonset.tpl") -}}
{{- end -}}
